Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class DatasetAdapter

    java.lang.Object
      de.grogra.pf.data.DatasetAdapterBase
          de.grogra.pf.data.DatasetAdapter

All Implemented Interfaces:
  org.jfree.data.category.CategoryDataset, org.jfree.data.general.Dataset, org.jfree.data.general.KeyedValueDataset, org.jfree.data.general.PieDataset, org.jfree.data.general.SeriesDataset, org.jfree.data.general.ValueDataset, org.jfree.data.KeyedValue, org.jfree.data.KeyedValues, org.jfree.data.KeyedValues2D, org.jfree.data.statistics.StatisticalCategoryDataset, org.jfree.data.Value, org.jfree.data.Values, org.jfree.data.Values2D, org.jfree.data.xy.TableXYDataset, org.jfree.data.xy.XYDataset, org.jfree.data.xy.XYZDataset

    public final class DatasetAdapter

extends DatasetAdapterBase
implements org.jfree.data.general.ValueDataset, org.jfree.data.general.KeyedValueDataset, org.jfree.data.category.CategoryDataset, org.jfree.data.general.PieDataset, org.jfree.data.general.SeriesDataset, org.jfree.data.xy.XYDataset, org.jfree.data.xy.TableXYDataset, org.jfree.data.xy.XYZDataset, org.jfree.data.statistics.StatisticalCategoryDataset

Method Summary
`int` | `getColumnCount()` Returns the number of columns in the table.
`int` | `getColumnIndex(java.lang.Comparable key)` Returns the column index for a given key.
`java.lang.Comparable` | `getColumnKey(int column)` Returns the column key for a given index.
`java.util.List` | `getColumnKeys()` Returns the column keys.
`int` | `getIndex(java.lang.Comparable key)` Returns the index for a given key.
`int` | `getItemCount()` Returns the number of items (values) in the collection.
`int` | `getItemCount(int series)` Returns the number of items in a series.
`java.lang.Comparable` | `getKey()` Returns the key associated with the value.
`java.lang.Comparable` | `getKey(int index)` Returns the key associated with an item (value).
`java.util.List` | `getKeys()` Returns the keys for the values in the collection.
`java.lang.Number` | `getMeanValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the mean value for an item.
`java.lang.Number` | `getMeanValue(int row, int column)` Returns the mean value for an item.
`int` | `getRowCount()` Returns the number of rows in the table.
`int` | `getRowIndex(java.lang.Comparable key)` Returns the row index for a given key.
`java.lang.Comparable` | `getRowKey(int row)` Returns the row key for a given index.
`java.util.List` | `getRowKeys()` Returns the row keys.
`java.lang.Number` | `getStdDevValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the standard deviation value for an item.
`java.lang.Number` | `getStdDevValue(int row, int column)` Returns the standard deviation value for an item.
`java.lang.Number` | `getValue()` Returns the value.
`java.lang.Number` | `getValue(java.lang.Comparable key)` Returns the value for a given key.
`java.lang.Number` | `getValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the value associated with the specified keys.
`java.lang.Number` | `getValue(int item)` Returns a value.
`java.lang.Number` | `getValue(int row, int column)` Returns a value from the table.
`java.lang.Number` | `getX(int series, int item)` Returns the x-value for an item within a series.
`double` | `getXValue(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getY(int series, int item)` Returns the y-value for an item within a series.
`double` | `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getZ(int series, int item)` Returns the z-value for the specified series and item.
`double` | `getZValue(int series, int item)` Returns the z-value (as a double primitive) for an item within a series.

Methods inherited from class de.grogra.pf.data.DatasetAdapterBase
`addChangeListener, getDomainOrder, getGroup, getSeriesCount, getSeriesKey, indexOf, removeChangeListener, setGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `org.jfree.data.Values2D`
  Returns the number of columns in the table.

  Specified by:
    `getColumnCount` in interface `org.jfree.data.Values2D`
  Returns:
    The column count.

### getColumnIndex

    public int getColumnIndex(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column index for a given key.

  Specified by:
    `getColumnIndex` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `key` - the column key.
  Returns:
    The column index, or `-1` if the key is unrecognised.

### getColumnKey

    public java.lang.Comparable getColumnKey(int column)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column key for a given index.

  Specified by:
    `getColumnKey` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `column` - the column index (zero-based).
  Returns:
    The column key.

### getColumnKeys

    public java.util.List getColumnKeys()

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the column keys.

  Specified by:
    `getColumnKeys` in interface `org.jfree.data.KeyedValues2D`
  Returns:
    The keys.

### getIndex

    public int getIndex(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues`
  Returns the index for a given key.

  Specified by:
    `getIndex` in interface `org.jfree.data.KeyedValues`
  Parameters:
    `key` - the key.
  Returns:
    The index, or `-1` if the key is unrecognised.

### getItemCount

    public int getItemCount()

  Description copied from interface: `org.jfree.data.Values`
  Returns the number of items (values) in the collection.

  Specified by:
    `getItemCount` in interface `org.jfree.data.Values`
  Specified by:
    `getItemCount` in interface `org.jfree.data.xy.TableXYDataset`
  Returns:
    The item count.

### getItemCount

    public int getItemCount(int series)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the number of items in a series.

  Specified by:
    `getItemCount` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
  Returns:
    The item count.

### getKey

    public java.lang.Comparable getKey()

  Description copied from interface: `org.jfree.data.KeyedValue`
  Returns the key associated with the value. The key returned by this method should be immutable.

  Specified by:
    `getKey` in interface `org.jfree.data.KeyedValue`
  Returns:
    The key.

### getKey

    public java.lang.Comparable getKey(int index)

  Description copied from interface: `org.jfree.data.KeyedValues`
  Returns the key associated with an item (value).

  Specified by:
    `getKey` in interface `org.jfree.data.KeyedValues`
  Parameters:
    `index` - the item index (zero-based).
  Returns:
    The key.

### getKeys

    public java.util.List getKeys()

  Description copied from interface: `org.jfree.data.KeyedValues`
  Returns the keys for the values in the collection. Note that you can access the values in this collection by key or by index. For this reason, the key order is important - this method should return the keys in order. The returned list may be unmodifiable.

  Specified by:
    `getKeys` in interface `org.jfree.data.KeyedValues`
  Returns:
    The keys (never `null`).

### getMeanValue

    public java.lang.Number getMeanValue(java.lang.Comparable rowKey,
                                         java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The mean value.

### getMeanValue

    public java.lang.Number getMeanValue(int row,
                                         int column)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the mean value for an item.

  Specified by:
    `getMeanValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The mean value.

### getRowCount

    public int getRowCount()

  Description copied from interface: `org.jfree.data.Values2D`
  Returns the number of rows in the table.

  Specified by:
    `getRowCount` in interface `org.jfree.data.Values2D`
  Returns:
    The row count.

### getRowIndex

    public int getRowIndex(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row index for a given key.

  Specified by:
    `getRowIndex` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `key` - the row key.
  Returns:
    The row index, or `-1` if the key is unrecognised.

### getRowKey

    public java.lang.Comparable getRowKey(int row)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row key for a given index.

  Specified by:
    `getRowKey` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `row` - the row index (zero-based).
  Returns:
    The row key.

### getRowKeys

    public java.util.List getRowKeys()

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the row keys.

  Specified by:
    `getRowKeys` in interface `org.jfree.data.KeyedValues2D`
  Returns:
    The keys.

### getStdDevValue

    public java.lang.Number getStdDevValue(java.lang.Comparable rowKey,
                                           java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the standard deviation value for an item.

  Specified by:
    `getStdDevValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `rowKey` - the row key.
    `columnKey` - the columnKey.
  Returns:
    The standard deviation.

### getStdDevValue

    public java.lang.Number getStdDevValue(int row,
                                           int column)

  Description copied from interface: `org.jfree.data.statistics.StatisticalCategoryDataset`
  Returns the standard deviation value for an item.

  Specified by:
    `getStdDevValue` in interface `org.jfree.data.statistics.StatisticalCategoryDataset`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The standard deviation.

### getValue

    public java.lang.Number getValue()

  Description copied from interface: `org.jfree.data.Value`
  Returns the value.

  Specified by:
    `getValue` in interface `org.jfree.data.Value`
  Returns:
    The value (possibly `null`).

### getValue

    public java.lang.Number getValue(java.lang.Comparable key)

  Description copied from interface: `org.jfree.data.KeyedValues`
  Returns the value for a given key.

  Specified by:
    `getValue` in interface `org.jfree.data.KeyedValues`
  Parameters:
    `key` - the key.
  Returns:
    The value (possibly `null`).

### getValue

    public java.lang.Number getValue(java.lang.Comparable rowKey,
                                     java.lang.Comparable columnKey)

  Description copied from interface: `org.jfree.data.KeyedValues2D`
  Returns the value associated with the specified keys.

  Specified by:
    `getValue` in interface `org.jfree.data.KeyedValues2D`
  Parameters:
    `rowKey` - the row key (`null` not permitted).
    `columnKey` - the column key (`null` not permitted).
  Returns:
    The value.

### getValue

    public java.lang.Number getValue(int item)

  Description copied from interface: `org.jfree.data.Values`
  Returns a value.

  Specified by:
    `getValue` in interface `org.jfree.data.Values`
  Parameters:
    `item` - the item of interest (zero-based index).
  Returns:
    The value.

### getValue

    public java.lang.Number getValue(int row,
                                     int column)

  Description copied from interface: `org.jfree.data.Values2D`
  Returns a value from the table.

  Specified by:
    `getValue` in interface `org.jfree.data.Values2D`
  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The value (possibly `null`).

### getX

    public java.lang.Number getX(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Specified by:
    `getX` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value (never `null`).

### getXValue

    public double getXValue(int series,
                            int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the x-value (as a double primitive) for an item within a series.

  Specified by:
    `getXValue` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value.

### getY

    public java.lang.Number getY(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the y-value for an item within a series.

  Specified by:
    `getY` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value (possibly `null`).

### getYValue

    public double getYValue(int series,
                            int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the y-value (as a double primitive) for an item within a series.

  Specified by:
    `getYValue` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value.

### getZ

    public java.lang.Number getZ(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.XYZDataset`
  Returns the z-value for the specified series and item.

  Specified by:
    `getZ` in interface `org.jfree.data.xy.XYZDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The z-value (possibly `null`).

### getZValue

    public double getZValue(int series,
                            int item)

  Description copied from interface: `org.jfree.data.xy.XYZDataset`
  Returns the z-value (as a double primitive) for an item within a series.

  Specified by:
    `getZValue` in interface `org.jfree.data.xy.XYZDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The z-value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD